Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
added SMPI_DEP to configure.ac and src/Makefile.am
[simgrid.git] / examples / java / basic / Makefile.in
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #########################
18 # How to compile the code
19 # All this to only get a dumb javac *java... Automake still have issues with java
20
21 # Makefile chunk which allows to display the files which should be included
22 # into the distribution.
23
24 # It is intended to be included in all Makefile.am 
25 VPATH = @srcdir@
26 pkgdatadir = $(datadir)/@PACKAGE@
27 pkglibdir = $(libdir)/@PACKAGE@
28 pkgincludedir = $(includedir)/@PACKAGE@
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 DIST_COMMON = $(srcdir)/../java_test.mk $(srcdir)/Makefile.am \
45         $(srcdir)/Makefile.in $(top_srcdir)/acmacro/dist-files.mk
46 subdir = examples/java/basic
47 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
48 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
49         $(top_srcdir)/acmacro/compiler-flags.m4 \
50         $(top_srcdir)/acmacro/context.m4 \
51         $(top_srcdir)/acmacro/fancy_configury.m4 \
52         $(top_srcdir)/acmacro/flex.m4 \
53         $(top_srcdir)/acmacro/gras_arch.m4 \
54         $(top_srcdir)/acmacro/print_null.m4 \
55         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
56 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
57         $(ACLOCAL_M4)
58 mkinstalldirs = $(install_sh) -d
59 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
60 CONFIG_CLEAN_FILES =
61 SOURCES =
62 DIST_SOURCES =
63 CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
64 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65 ACLOCAL = @ACLOCAL@
66 ADDR2LINE = @ADDR2LINE@
67 AMTAR = @AMTAR@
68 AM_CPPFLAGS = @AM_CPPFLAGS@
69 AR = @AR@
70 AS = @AS@
71 AUTOCONF = @AUTOCONF@
72 AUTOHEADER = @AUTOHEADER@
73 AUTOMAKE = @AUTOMAKE@
74 AWK = @AWK@
75 BASH = @BASH@
76 CC = @CC@
77 CCDEPMODE = @CCDEPMODE@
78 CFLAGS = @CFLAGS@
79 CPP = @CPP@
80 CPPFLAGS = @CPPFLAGS@
81 CXX = @CXX@
82 CXXCPP = @CXXCPP@
83 CXXDEPMODE = @CXXDEPMODE@
84 CXXFLAGS = @CXXFLAGS@
85 CYGPATH_W = @CYGPATH_W@
86 DEFS = @DEFS@
87 DEPDIR = @DEPDIR@
88 DLLTOOL = @DLLTOOL@
89 DOXYGEN = @DOXYGEN@
90 ECHO = @ECHO@
91 ECHO_C = @ECHO_C@
92 ECHO_N = @ECHO_N@
93 ECHO_T = @ECHO_T@
94 EGREP = @EGREP@
95 EXEEXT = @EXEEXT@
96 FLEXML = @FLEXML@
97 GCJ = @GCJ@
98 GCJDEPMODE = @GCJDEPMODE@
99 GCJFLAGS = @GCJFLAGS@
100 GRAS_DEP = @GRAS_DEP@
101 GREP = @GREP@
102 INSTALL = @INSTALL@
103 INSTALL_DATA = @INSTALL_DATA@
104 INSTALL_PROGRAM = @INSTALL_PROGRAM@
105 INSTALL_SCRIPT = @INSTALL_SCRIPT@
106 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
107 JAR = @JAR@
108 JAVA = @JAVA@
109 JAVAC = @JAVAC@
110 LDFLAGS = @LDFLAGS@
111 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
112 LEX = @LEX@
113 LEXLIB = @LEXLIB@
114 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
115 LIBOBJS = @LIBOBJS@
116 LIBS = @LIBS@
117 LIBTOOL = @LIBTOOL@
118 LN_S = @LN_S@
119 LTLIBOBJS = @LTLIBOBJS@
120 MAINT = @MAINT@
121 MAKEINFO = @MAKEINFO@
122 MD5SUM = @MD5SUM@
123 MKDIR_P = @MKDIR_P@
124 OBJDUMP = @OBJDUMP@
125 OBJEXT = @OBJEXT@
126 PACKAGE = @PACKAGE@
127 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
128 PACKAGE_NAME = @PACKAGE_NAME@
129 PACKAGE_STRING = @PACKAGE_STRING@
130 PACKAGE_TARNAME = @PACKAGE_TARNAME@
131 PACKAGE_VERSION = @PACKAGE_VERSION@
132 PATH_SEPARATOR = @PATH_SEPARATOR@
133 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
134 RANLIB = @RANLIB@
135 SED = @SED@
136 SET_MAKE = @SET_MAKE@
137 SHELL = @SHELL@
138 SIMGRID_DEP = @SIMGRID_DEP@
139 SMPI_DEP = @SMPI_DEP@
140 STRIP = @STRIP@
141 VERSION = @VERSION@
142 WARNING = @WARNING@
143 abs_builddir = @abs_builddir@
144 abs_srcdir = @abs_srcdir@
145 abs_top_builddir = @abs_top_builddir@
146 abs_top_srcdir = @abs_top_srcdir@
147 ac_configure_args = @ac_configure_args@
148 ac_ct_CC = @ac_ct_CC@
149 ac_ct_CXX = @ac_ct_CXX@
150 am__include = @am__include@
151 am__leading_dot = @am__leading_dot@
152 am__quote = @am__quote@
153 am__tar = @am__tar@
154 am__untar = @am__untar@
155 bindir = @bindir@
156 build = @build@
157 build_alias = @build_alias@
158 build_cpu = @build_cpu@
159 build_id = @build_id@
160 build_os = @build_os@
161 build_vendor = @build_vendor@
162 builddir = @builddir@
163 datadir = @datadir@
164 datarootdir = @datarootdir@
165 docdir = @docdir@
166 dvidir = @dvidir@
167 exec_prefix = @exec_prefix@
168 host = @host@
169 host_alias = @host_alias@
170 host_cpu = @host_cpu@
171 host_os = @host_os@
172 host_vendor = @host_vendor@
173 htmldir = @htmldir@
174 includedir = @includedir@
175 infodir = @infodir@
176 install_sh = @install_sh@
177 libdir = @libdir@
178 libexecdir = @libexecdir@
179 localedir = @localedir@
180 localstatedir = @localstatedir@
181 mandir = @mandir@
182 mkdir_p = @mkdir_p@
183 oldincludedir = @oldincludedir@
184 pdfdir = @pdfdir@
185 prefix = @prefix@
186 program_transform_name = @program_transform_name@
187 psdir = @psdir@
188 pth_skaddr_makecontext = @pth_skaddr_makecontext@
189 pth_sksize_makecontext = @pth_sksize_makecontext@
190 sbindir = @sbindir@
191 sharedstatedir = @sharedstatedir@
192 srcdir = @srcdir@
193 sysconfdir = @sysconfdir@
194 target = @target@
195 target_alias = @target_alias@
196 target_cpu = @target_cpu@
197 target_os = @target_os@
198 target_vendor = @target_vendor@
199 top_builddir = @top_builddir@
200 top_srcdir = @top_srcdir@
201 EXTRA_DIST = basic_deployment.xml basic_platform.xml surfxml.dtd
202
203 # Declare sources:
204 noinst_JAVA = Master.java Forwarder.java Slave.java BasicTest.java BasicTask.java
205
206 # Declare test class
207 TESTS = BasicTest.class
208 JAVAROOT = .
209 AM_JAVACFLAGS = -cp $(top_srcdir)/src/simgrid.jar
210
211 ##########################
212 # What to do on make check
213 # We need to rely on an external script (../runtest) because automake adds a ./ in front of the test name
214 # We need to override LD_LIBRARY_PATH so that the VM finds the libsimgrid4java.so
215 # We need to override the CLASSPATH to add simgrid.jar and current dir to the picture
216 # We also need to express dependencies manually (in each test dir)
217 # Damn...
218 TESTS_ENVIRONMENT = LD_LIBRARY_PATH="$(top_srcdir)/src/.libs:$$LD_LIBRARY_PATH" \
219                   CLASSPATH=".:$(top_srcdir)/src/simgrid.jar:$$CLASSPATH" \
220                   $(srcdir)/../runtest 
221
222 all: all-am
223
224 .SUFFIXES:
225 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../java_test.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
226         @for dep in $?; do \
227           case '$(am__configure_deps)' in \
228             *$$dep*) \
229               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
230                 && exit 0; \
231               exit 1;; \
232           esac; \
233         done; \
234         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/java/basic/Makefile'; \
235         cd $(top_srcdir) && \
236           $(AUTOMAKE) --gnu  examples/java/basic/Makefile
237 .PRECIOUS: Makefile
238 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
239         @case '$?' in \
240           *config.status*) \
241             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
242           *) \
243             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
244             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
245         esac;
246
247 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
248         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
249
250 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
251         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
252 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
253         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
254
255 mostlyclean-libtool:
256         -rm -f *.lo
257
258 clean-libtool:
259         -rm -rf .libs _libs
260
261 classnoinst.stamp: $(noinst_JAVA)
262         @list1='$?'; list2=; if test -n "$$list1"; then \
263           for p in $$list1; do \
264             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
265             list2="$$list2 $$d$$p"; \
266           done; \
267           echo '$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) '"$$list2"; \
268           $(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) $$list2; \
269         else :; fi
270         echo timestamp > classnoinst.stamp
271
272 clean-noinstJAVA:
273         -rm -f *.class classnoinst.stamp
274 tags: TAGS
275 TAGS:
276
277 ctags: CTAGS
278 CTAGS:
279
280
281 check-TESTS: $(TESTS)
282         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
283         srcdir=$(srcdir); export srcdir; \
284         list=' $(TESTS) '; \
285         if test -n "$$list"; then \
286           for tst in $$list; do \
287             if test -f ./$$tst; then dir=./; \
288             elif test -f $$tst; then dir=; \
289             else dir="$(srcdir)/"; fi; \
290             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
291               all=`expr $$all + 1`; \
292               case " $(XFAIL_TESTS) " in \
293               *$$ws$$tst$$ws*) \
294                 xpass=`expr $$xpass + 1`; \
295                 failed=`expr $$failed + 1`; \
296                 echo "XPASS: $$tst"; \
297               ;; \
298               *) \
299                 echo "PASS: $$tst"; \
300               ;; \
301               esac; \
302             elif test $$? -ne 77; then \
303               all=`expr $$all + 1`; \
304               case " $(XFAIL_TESTS) " in \
305               *$$ws$$tst$$ws*) \
306                 xfail=`expr $$xfail + 1`; \
307                 echo "XFAIL: $$tst"; \
308               ;; \
309               *) \
310                 failed=`expr $$failed + 1`; \
311                 echo "FAIL: $$tst"; \
312               ;; \
313               esac; \
314             else \
315               skip=`expr $$skip + 1`; \
316               echo "SKIP: $$tst"; \
317             fi; \
318           done; \
319           if test "$$failed" -eq 0; then \
320             if test "$$xfail" -eq 0; then \
321               banner="All $$all tests passed"; \
322             else \
323               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
324             fi; \
325           else \
326             if test "$$xpass" -eq 0; then \
327               banner="$$failed of $$all tests failed"; \
328             else \
329               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
330             fi; \
331           fi; \
332           dashes="$$banner"; \
333           skipped=""; \
334           if test "$$skip" -ne 0; then \
335             skipped="($$skip tests were not run)"; \
336             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
337               dashes="$$skipped"; \
338           fi; \
339           report=""; \
340           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
341             report="Please report to $(PACKAGE_BUGREPORT)"; \
342             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
343               dashes="$$report"; \
344           fi; \
345           dashes=`echo "$$dashes" | sed s/./=/g`; \
346           echo "$$dashes"; \
347           echo "$$banner"; \
348           test -z "$$skipped" || echo "$$skipped"; \
349           test -z "$$report" || echo "$$report"; \
350           echo "$$dashes"; \
351           test "$$failed" -eq 0; \
352         else :; fi
353
354 distdir: $(DISTFILES)
355         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
356         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
357         list='$(DISTFILES)'; \
358           dist_files=`for file in $$list; do echo $$file; done | \
359           sed -e "s|^$$srcdirstrip/||;t" \
360               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
361         case $$dist_files in \
362           */*) $(MKDIR_P) `echo "$$dist_files" | \
363                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
364                            sort -u` ;; \
365         esac; \
366         for file in $$dist_files; do \
367           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
368           if test -d $$d/$$file; then \
369             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
370             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
371               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
372             fi; \
373             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
374           else \
375             test -f $(distdir)/$$file \
376             || cp -p $$d/$$file $(distdir)/$$file \
377             || exit 1; \
378           fi; \
379         done
380 check-am: all-am
381         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
382 check: check-am
383 all-am: Makefile classnoinst.stamp
384 installdirs:
385 install: install-am
386 install-exec: install-exec-am
387 install-data: install-data-am
388 uninstall: uninstall-am
389
390 install-am: all-am
391         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
392
393 installcheck: installcheck-am
394 install-strip:
395         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
396           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
397           `test -z '$(STRIP)' || \
398             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
399 mostlyclean-generic:
400
401 clean-generic:
402
403 distclean-generic:
404         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
405
406 maintainer-clean-generic:
407         @echo "This command is intended for maintainers to use"
408         @echo "it deletes files that may require special tools to rebuild."
409 clean: clean-am
410
411 clean-am: clean-generic clean-libtool clean-noinstJAVA mostlyclean-am
412
413 distclean: distclean-am
414         -rm -f Makefile
415 distclean-am: clean-am distclean-generic
416
417 dvi: dvi-am
418
419 dvi-am:
420
421 html: html-am
422
423 info: info-am
424
425 info-am:
426
427 install-data-am:
428
429 install-dvi: install-dvi-am
430
431 install-exec-am:
432
433 install-html: install-html-am
434
435 install-info: install-info-am
436
437 install-man:
438
439 install-pdf: install-pdf-am
440
441 install-ps: install-ps-am
442
443 installcheck-am:
444
445 maintainer-clean: maintainer-clean-am
446         -rm -f Makefile
447 maintainer-clean-am: distclean-am maintainer-clean-generic
448
449 mostlyclean: mostlyclean-am
450
451 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
452
453 pdf: pdf-am
454
455 pdf-am:
456
457 ps: ps-am
458
459 ps-am:
460
461 uninstall-am:
462
463 .MAKE: install-am install-strip
464
465 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
466         clean-libtool clean-noinstJAVA distclean distclean-generic \
467         distclean-libtool distdir dvi dvi-am html html-am info info-am \
468         install install-am install-data install-data-am install-dvi \
469         install-dvi-am install-exec install-exec-am install-html \
470         install-html-am install-info install-info-am install-man \
471         install-pdf install-pdf-am install-ps install-ps-am \
472         install-strip installcheck installcheck-am installdirs \
473         maintainer-clean maintainer-clean-generic mostlyclean \
474         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
475         uninstall uninstall-am
476
477
478 # declare that we must recompile everything before lauching tests
479 $(TESTS): classnoinst.stamp
480
481 dist-files:
482         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
483         @echo
484         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
485
486 # Cruft
487 # Tell versions [3.59,3.63) of GNU make to not export all variables.
488 # Otherwise a system limit (for SysV at least) may be exceeded.
489 .NOEXPORT: